## gluegen2 2.0-rc2

=== debian/changelog ===
gluegen2 (2.0-rc2-7) unstable; urgency=low

  * Fix the runtime detection of the arch + 32/64 bits. Was causing FTBFS of
    jogl2

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 08 May 2011 23:23:15 +0200

gluegen2 (2.0-rc2-6) unstable; urgency=low

  * Upload to unstable
  * needless-dependency-on-jre lintian warning removed
  * script-not-executable fixed
  * Standards-Version updated to 3.9.2

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 16 Apr 2011 13:51:53 +0200

gluegen2 (2.0-rc2-5) experimental; urgency=low

  * Fix build issues with arm, ia64, alpha & armel (Closes: #615872)
  * /usr/lib/jvm/default-java as JAVA_HOME (Closes: #618788)

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 24 Mar 2011 23:34:22 +0100

gluegen2 (2.0-rc2-4) experimental; urgency=low

  * Same player, try again: I forgot some declarations in make/build.xml

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 16 Mar 2011 21:23:33 +0100

gluegen2 (2.0-rc2-3) experimental; urgency=low

  * Try to build on all Debian archs. Archs are likely to fail here.

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 14 Mar 2011 21:28:49 +0100

gluegen2 (2.0-rc2-2) experimental; urgency=low

  * Beginning of the management of other debian archs. Partially fixes the
    bug #615872.

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 13 Mar 2011 22:54:39 +0100

gluegen2 (2.0-rc2-1) experimental; urgency=low

  * New upstream release
  * README.source added
  * Copyright file updated

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 04 Mar 2011 16:21:45 +0100

gluegen2 (2.0-rc1-3) experimental; urgency=low

  * Disable some options (junit of gluegen + copy of the license files) 
    for packaged based on gluegen2 (cf: disablesSomeOptions.diff)
  * Switch to dpkg-source 3.0 (quilt) format

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 01 Mar 2011 00:44:11 +0100

gluegen2 (2.0-rc1-2) experimental; urgency=low

  * gluegen2 artifact.properties + jnlp files also installed
  * Update of the Vcs-* tags
  * Switch to dpkg-source 3.0 (quilt) format

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 28 Feb 2011 10:15:33 +0100

gluegen2 (2.0-rc1-1) experimental; urgency=low

  * Initial Release (Closes: #605902)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 04 Dec 2010 16:22:37 +0100
