=== debian/control ===
Source: gluegen2
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Sylvestre Ledru <sylvestre@debian.org>
Build-Depends: debhelper (>= 7), cdbs, quilt, default-jdk, 
 ant, junit4, ant-contrib-cpptasks, ant-optional, libantlr-java
Standards-Version: 3.9.2
Homepage: http://jogamp.org/
Vcs-Svn: svn+ssh://svn.debian.org/svn/pkg-java/trunk/libgluegen2-java
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-java/trunk/libgluegen2-java/

Package: libgluegen2-rt-java
Architecture: all
Suggests: libgluegen2-doc
Depends:  ${misc:Depends}, antlr
Description: Tool to automatically generate the Java and JNI code.
 Gluegen reads as input ANSI C header files and separate configuration files
 which provide control over many aspects of the glue code generation. GlueGen
 uses a complete ANSI C parser and an internal representation (IR) capable of
 representing all C types to represent the APIs for which it generates
 interfaces. It has the ability to perform significant transformations on the
 IR before glue code emission. GlueGen is currently powerful enough to bind
 even low-level APIs such as the Java Native Interface (JNI) and the AWT Native
 Interface (JAWT) back up to the Java programming language.
 .
 This package contains the gluegen 2 runtime files.

Package: libgluegen2-build-java
Architecture: all
Suggests: libgluegen2-doc
Depends:  ${misc:Depends}, antlr
Description: Tool to automatically generate the Java and JNI code.
 Gluegen reads as input ANSI C header files and separate configuration files
 which provide control over many aspects of the glue code generation. GlueGen
 uses a complete ANSI C parser and an internal representation (IR) capable of
 representing all C types to represent the APIs for which it generates
 interfaces. It has the ability to perform significant transformations on the
 IR before glue code emission. GlueGen is currently powerful enough to bind
 even low-level APIs such as the Java Native Interface (JNI) and the AWT Native
 Interface (JAWT) back up to the Java programming language.
 .
 This package contains some Java sources necessary to build gluegen-based
 packages.


Package: libgluegen2-jni
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Tool to automatically generate the Java and JNI code.
 Gluegen reads as input ANSI C header files and separate configuration files
 which provide control over many aspects of the glue code generation. GlueGen
 uses a complete ANSI C parser and an internal representation (IR) capable of
 representing all C types to represent the APIs for which it generates
 interfaces. It has the ability to perform significant transformations on the
 IR before glue code emission. GlueGen is currently powerful enough to bind
 even low-level APIs such as the Java Native Interface (JNI) and the AWT Native
 Interface (JAWT) back up to the Java programming language.
 .
 This package includes the architecture specific java native interface part.

Package: libgluegen2-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: libgluegen2
Description: Tool to automatically generate the Java and JNI code.
 Gluegen reads as input ANSI C header files and separate configuration files
 which provide control over many aspects of the glue code generation. GlueGen
 uses a complete ANSI C parser and an internal representation (IR) capable of
 representing all C types to represent the APIs for which it generates
 interfaces. It has the ability to perform significant transformations on the
 IR before glue code emission. GlueGen is currently powerful enough to bind
 even low-level APIs such as the Java Native Interface (JNI) and the AWT Native
 Interface (JAWT) back up to the Java programming language.
 .
 This package includes the API documentation for Gluegen package.
