=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/ant.mk
include /usr/share/cdbs/1/rules/patchsys-quilt.mk

JAVA_HOME            := /usr/lib/jvm/default-java/
DEB_JARS             := ant-launcher antlrall ant-antlr ant-contrib-cpptasks ant-junit
DEB_ANT_CLEAN_TARGET := clean
DEB_BUILDDIR         := make
DEB_ANT_BUILD_TARGET := all junit.run

install/libgluegen2-rt-java::
	install -m 644 -D build/gluegen-rt.jar debian/libgluegen2-rt-java/usr/share/java/gluegen2-$(DEB_UPSTREAM_VERSION)-rt.jar
	ln -s gluegen2-$(DEB_UPSTREAM_VERSION)-rt.jar debian/libgluegen2-rt-java/usr/share/java/gluegen2-rt.jar

install/libgluegen2-build-java::
	mkdir -p $(CURDIR)/debian/libgluegen2-build-java/usr/share/gluegen2/make/
	cp -R make/* debian/libgluegen2-build-java/usr/share/gluegen2/make/
	cp -R build/artifact.properties debian/libgluegen2-build-java/usr/share/gluegen2/
	mkdir -p $(CURDIR)/debian/libgluegen2-build-java/usr/share/gluegen2/jnlp-files/
	cp -R jnlp-files/* debian/libgluegen2-build-java/usr/share/gluegen2/jnlp-files/
	mkdir -p $(CURDIR)/debian/libgluegen2-build-java/usr/share/gluegen2/src/java/
	cp -R src/java/* debian/libgluegen2-build-java/usr/share/gluegen2/src/java/
	mkdir -p $(CURDIR)/debian/libgluegen2-build-java/usr/share/gluegen2/src/native/
	cp -R src/junit/* debian/libgluegen2-build-java/usr/share/gluegen2/src/junit/
	mkdir -p $(CURDIR)/debian/libgluegen2-build-java/usr/share/gluegen2/src/junit/
	cp -Rf src/native/* debian/libgluegen2-build-java/usr/share/gluegen2/src/native/
	mkdir -p $(CURDIR)/debian/libgluegen2-build-java/usr/share/gluegen2/test/junit/
	cp -Rf test/junit/* debian/libgluegen2-build-java/usr/share/gluegen2/test/junit
	install -m 644 -D build/gluegen.jar debian/libgluegen2-build-java/usr/share/java/gluegen2-$(DEB_UPSTREAM_VERSION).jar
	ln -s gluegen2-$(DEB_UPSTREAM_VERSION).jar debian/libgluegen2-build-java/usr/share/java/gluegen2.jar
	find debian/libgluegen2-build-java/usr/share/gluegen2/ -type f -exec chmod a-x {} \;
#extra license
	chmod +x debian/libgluegen2-build-java/usr/share/gluegen2/make/scripts/*.sh
	rm debian/libgluegen2-build-java/usr/share/gluegen2/src/java/com/jogamp/gluegen/cgram/license.txt

install/libgluegen2-jni::
	install -m 644 -D build/obj/libgluegen-rt.so debian/libgluegen2-jni/usr/lib/jni/libgluegen2-rt.so

install/libgluegen2-doc::
	$(DEB_ANT_INVOKE) javadoc
	mkdir -p debian/libgluegen2-doc/usr/share/doc/libgluegen2-java/
	cp -Rf build/javadoc/gluegen/javadoc/* debian/libgluegen2-doc/usr/share/doc/libgluegen2-java/

clean::
	$(RM) -r gluegen/build

get-orig-source::
	-uscan --upstream-version 0
