## gluegen2 2.0-rc3

=== debian/changelog ===
gluegen2 (2.0-rc3-6) unstable; urgency=low

  * Fix an issue under Arm and an other one for sparc which were causing issues
    with the jogl build

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 22 Nov 2011 00:40:19 +0100

gluegen2 (2.0-rc3-5) unstable; urgency=low

  * Add dependency between libgluegen2-rt-java => libgluegen2-jni
  * Disable the display of the cache jar exception

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 20 Nov 2011 17:59:48 +0100

gluegen2 (2.0-rc3-4) unstable; urgency=low

  * Grrr, now, compiler.cfg.linux is factorized for the other archs

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 08 Oct 2011 16:47:39 +0200

gluegen2 (2.0-rc3-3) unstable; urgency=low

  * Update tags Vcs-* 
  * linker.cfg.linux.* on some arch was failing

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 08 Oct 2011 15:08:11 +0200

gluegen2 (2.0-rc3-2) unstable; urgency=low

  * Fix some FTBFS on various archs

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 08 Oct 2011 13:50:08 +0200

gluegen2 (2.0-rc3-1) unstable; urgency=low

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 06 Oct 2011 13:24:11 +0200
