## gluegen2 2.0-rc5

=== debian/changelog ===
gluegen2 (2.0-rc5-4) unstable; urgency=low

  * Fix a problem in the loading of the native lib (Closes: #668821)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 15 Apr 2012 18:37:43 +0200

gluegen2 (2.0-rc5-3) unstable; urgency=low

  * Set the exact version of the dependency between libgluegen2-rt-java
    and libgluegen2-jni

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 03 Apr 2012 10:59:34 +0200

gluegen2 (2.0-rc5-2) unstable; urgency=low

  * Really upload to unstable (oups)

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 13 Mar 2012 01:04:56 +0100

gluegen2 (2.0-rc5-1) experimental; urgency=low

  * Upload in unstable
  * Standards-Version updated to version 3.9.3

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 12 Mar 2012 20:31:43 +0100

gluegen2 (2.0-rc5-1~exp2) experimental; urgency=low

  * Fix the build issue under s390x

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 26 Dec 2011 09:27:15 +0100

gluegen2 (2.0-rc5-1~exp1) experimental; urgency=low

  * New upstream release
  * watch now possible and integrated

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 26 Dec 2011 01:18:19 +0100
