=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Sylvestre Ledru <sylvestre@debian.org>
 Build-Depends: debhelper (>= 7), cdbs, quilt, default-jdk, 
  ant, junit4, ant-contrib-cpptasks, ant-optional, libantlr-java
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://jogamp.org/
 Vcs-Svn: svn+ssh://svn.debian.org/svn/pkg-java/trunk/gluegen2/
 Vcs-Browser: http://svn.debian.org/viewsvn/pkg-java/trunk/gluegen2/
@@ -13,7 +13,7 @@
 Package: libgluegen2-rt-java
 Architecture: all
 Suggests: libgluegen2-doc
-Depends:  ${misc:Depends}, antlr, libgluegen2-jni
+Depends:  ${misc:Depends}, antlr, libgluegen2-jni (>= ${source:Version})
 Description: Tool to automatically generate the Java and JNI code.
  Gluegen reads as input ANSI C header files and separate configuration files
  which provide control over many aspects of the glue code generation. GlueGen
