## gluegen2 2.0-rc8

=== debian/changelog ===
gluegen2 (2.0-rc8-2) unstable; urgency=low

  * Upload in unstable

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 13 Jun 2012 18:31:35 +0200

gluegen2 (2.0-rc8-1) experimental; urgency=low

  [ Miguel Landaeta ]
  * Use public access URL in Vcs-Svn field. (Closes: #669300).

  [ Sylvestre Ledru ]
  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 15 May 2012 14:23:28 +0200
