## gluegen2 2.0-rc11

=== debian/changelog ===
gluegen2 (2.0-rc11-1~exp1ubuntu1) raring; urgency=low

  * Add more explicit armhf support, rather than trying to use incorrect
    armel toolchain flags.
  * On armhf, build only the all.no_junit target.  "all junit.run"
    mysteriously segfaults on the first run but not thereafter.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 09 Jan 2013 11:29:43 +0000

gluegen2 (2.0-rc11-1~exp1) experimental; urgency=low

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 08 Nov 2012 16:21:32 +0100

gluegen2 (2.0-rc10-1~exp1) experimental; urgency=low

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 02 Sep 2012 14:55:41 +0200

gluegen2 (2.0-rc9-1~exp1) experimental; urgency=low

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 02 Jul 2012 02:44:59 +0200
