## gluegen2 2.0-rc12

=== debian/changelog ===
gluegen2 (2.0-rc12-1ubuntu1) saucy; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Add more explicit armhf support, rather than trying to use incorrect
      armel toolchain flags.
    - On armhf, build only the all.no_junit target.  "all junit.run"
      mysteriously segfaults on the first run but not thereafter.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 02 Jul 2013 16:59:05 +0100

gluegen2 (2.0-rc12-1) unstable; urgency=low

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 01 Jul 2013 14:01:11 +0200

gluegen2 (2.0-rc11-1ubuntu1) saucy; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - Add more explicit armhf support, rather than trying to use incorrect
      armel toolchain flags.
    - On armhf, build only the all.no_junit target.  "all junit.run"
      mysteriously segfaults on the first run but not thereafter.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 05 Jun 2013 00:05:01 +0100

gluegen2 (2.0-rc11-1) unstable; urgency=low

  * Upload to unstable
  * Standards-Version updated to 3.9.4

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 15 May 2013 09:49:48 +0200
