=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Sylvestre Ledru <sylvestre@debian.org>
-Build-Depends: debhelper (>= 7), cdbs, quilt, default-jdk, 
+Build-Depends: debhelper (>= 7), cdbs, quilt, default-jdk,
  ant, junit4, ant-contrib-cpptasks, ant-optional, libantlr-java
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://jogamp.org/
 Vcs-Svn: svn://svn.debian.org/svn/pkg-java/trunk/gluegen2/
 Vcs-Browser: http://svn.debian.org/viewsvn/pkg-java/trunk/gluegen2/
