=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,11 @@
 DEB_ANT_CLEAN_TARGET := clean
 DEB_BUILDDIR         := make
 DEB_ANT_BUILD_TARGET := all junit.run
+
+ifeq ($(DEB_HOST_ARCH),armhf)
+DEB_ANT_ARGS         += -DisAbiEabiGnuArmhf=true
+DEB_ANT_BUILD_TARGET := all.no_junit
+endif
 
 install/libgluegen2-rt-java::
 	install -m 644 -D build/gluegen-rt.jar debian/libgluegen2-rt-java/usr/share/java/gluegen2-$(DEB_UPSTREAM_VERSION)-rt.jar
