## gluegen2 2.0.2

=== debian/changelog ===
gluegen2 (2.0.2-2) unstable; urgency=low

  * Team upload.
  * Apply patch to build config for FTBFS on alpha
    - Thank you to Michael Cree. (Closes: #728571)
  * Freshen and apply patch to build config for FTBFS on ppc64
    - Thank you to Hiroyuki Yamamoto.  (Closes: #694070)
  * Update Standards-Version to 3.9.5.
  * Change debhelper version from 7 to 9; update debian/compat from 5 to 9.

 -- tony mancill <tmancill@debian.org>  Sun, 03 Nov 2013 21:11:45 -0800

gluegen2 (2.0.2-1) unstable; urgency=low

  * New upstream release
  
  [ Colin Watson ]
  * Synchronise From Ubuntu.  Remaining changes:
    - Add more explicit armhf support, rather than trying to use incorrect
      armel toolchain flags.
    - On armhf, build only the all.no_junit target.  "all junit.run"
      mysteriously segfaults on the first run but not thereafter.

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 28 Sep 2013 18:53:18 +0200
