## gluegen2 2.1.2

=== debian/changelog ===
gluegen2 (2.1.2-1) unstable; urgency=low

  * New upstream release
  * Update of the repack script to remove some thirdparty jars

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 08 Nov 2013 10:20:37 +0100
