## gluegen2 2.1.3

=== debian/changelog ===
gluegen2 (2.1.3-1ubuntu1) trusty; urgency=medium

  * Build for Aarch64 and ppc64el.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Dec 2013 16:21:42 +0100

gluegen2 (2.1.3-1) unstable; urgency=low

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 17 Dec 2013 09:29:23 +0100
