## gluegen2 2.1.5

=== debian/changelog ===
gluegen2 (2.1.5-1ubuntu1) trusty; urgency=medium

  * Build using the zero VM on AArch64.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 25 Mar 2014 10:17:10 +0100

gluegen2 (2.1.5-1) unstable; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 24 Mar 2014 14:26:05 +0100

gluegen2 (2.1.4-1) unstable; urgency=medium

  * New upstream release

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 11 Feb 2014 15:05:50 +0100

gluegen2 (2.1.3-2) unstable; urgency=low

  * Fix missing architectures support in <glibc-compat-symbols.h>
    Thanks to Aurélien Jarno for the patch (Closes: #733310)

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 16 Jan 2014 11:03:13 +0100
