=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Sylvestre Ledru <sylvestre@debian.org>
 Build-Depends: debhelper (>= 9), cdbs, quilt, default-jdk,
- ant, junit4, ant-contrib-cpptasks, ant-optional, libantlr-java
+ ant, junit4, ant-contrib-cpptasks, ant-optional, libantlr-java, openjdk-7-jre-zero [arm64]
 Standards-Version: 3.9.5
 Homepage: http://jogamp.org/
 Vcs-Svn: svn://svn.debian.org/svn/pkg-java/trunk/gluegen2/
