=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,10 @@
 DEB_BUILDDIR         := make
 DEB_ANT_BUILD_TARGET := all junit.run
 DEB_ANT_ARGS += -Dtarget.sourcelevel=1.6 -Dtarget.targetlevel=1.6 -Dtarget.rt.jar=1.6
+
+ifeq ($(DEB_HOST_ARCH),arm64)
+  JAVACMD += -zero
+endif
 
 ifeq ($(DEB_HOST_ARCH),armhf)
 DEB_ANT_ARGS         += -DisAbiEabiGnuArmhf=true
