## gluegen2 2.2.4

=== debian/changelog ===
gluegen2 (2.2.4-2) unstable; urgency=medium

  * Team upload.

  [ Colin Watson ]
  * Fix missing-arch-symbol.diff to cover the gcc case as well as clang
    (Closes: #769003)

 -- gregor herrmann <gregoa@debian.org>  Fri, 14 Nov 2014 22:58:56 +0100

gluegen2 (2.2.4-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 20 Oct 2014 16:52:41 +0200

gluegen2 (2.2.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Removed the dot at the end of the packages descriptions
  * Use XZ compression for the upstream tarball
  * Moved the package to Git
  * debian/copyright: Updated to the Copyright Format 1.0

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 07 Oct 2014 16:45:57 +0200

gluegen2 (2.2.0-1) unstable; urgency=medium

  [ Sylvestre Ledru ]
  * New upstream release
    - Include the fix for openjdk 8 (Closes: #754971)

  [ Anibal Monsalve Salazar ]
  * Add mips support.
    Add add-mips-support.patch.
    Patch by Dejan Latinovic <Dejan.Latinovic@imgtec.com>.
    Thanks to Anibal Monsalve Salazar.  (Closes: #750548)

  [ Emmanuel Bourg ]
  * Disabled the tests due to missing dependencies
  * Standards-Version updated to 3.9.6 (no changes)

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 07 Oct 2014 14:15:46 +0200
