=== debian/control ===
--- 
+++ 
@@ -4,17 +4,18 @@
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Sylvestre Ledru <sylvestre@debian.org>
 Build-Depends: debhelper (>= 9), cdbs, quilt, default-jdk,
- ant, junit4, ant-contrib-cpptasks, ant-optional, libantlr-java, openjdk-7-jre-zero [arm64]
-Standards-Version: 3.9.5
-Homepage: http://jogamp.org/
-Vcs-Svn: svn://svn.debian.org/svn/pkg-java/trunk/gluegen2/
-Vcs-Browser: http://svn.debian.org/viewsvn/pkg-java/trunk/gluegen2/
+ ant, junit4, ant-contrib-cpptasks, ant-optional, libantlr-java,
+ ant-contrib
+Standards-Version: 3.9.6
+Vcs-Git: git://anonscm.debian.org/pkg-java/gluegen2.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-java/gluegen2.git
+Homepage: http://jogamp.org
 
 Package: libgluegen2-rt-java
 Architecture: all
 Suggests: libgluegen2-doc
-Depends:  ${misc:Depends}, antlr, libgluegen2-jni (>= ${source:Version})
-Description: Tool to automatically generate the Java and JNI code.
+Depends: ${misc:Depends}, antlr, libgluegen2-jni (>= ${source:Version})
+Description: Tool to automatically generate the Java and JNI code
  Gluegen reads as input ANSI C header files and separate configuration files
  which provide control over many aspects of the glue code generation. GlueGen
  uses a complete ANSI C parser and an internal representation (IR) capable of
@@ -29,8 +30,8 @@
 Package: libgluegen2-build-java
 Architecture: all
 Suggests: libgluegen2-doc
-Depends:  ${misc:Depends}, antlr
-Description: Tool to automatically generate the Java and JNI code.
+Depends: ${misc:Depends}, antlr
+Description: Tool to automatically generate the Java and JNI code
  Gluegen reads as input ANSI C header files and separate configuration files
  which provide control over many aspects of the glue code generation. GlueGen
  uses a complete ANSI C parser and an internal representation (IR) capable of
@@ -47,7 +48,7 @@
 Package: libgluegen2-jni
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Description: Tool to automatically generate the Java and JNI code.
+Description: Tool to automatically generate the Java and JNI code
  Gluegen reads as input ANSI C header files and separate configuration files
  which provide control over many aspects of the glue code generation. GlueGen
  uses a complete ANSI C parser and an internal representation (IR) capable of
@@ -64,7 +65,7 @@
 Section: doc
 Depends: ${misc:Depends}
 Suggests: libgluegen2
-Description: Tool to automatically generate the Java and JNI code.
+Description: Tool to automatically generate the Java and JNI code
  Gluegen reads as input ANSI C header files and separate configuration files
  which provide control over many aspects of the glue code generation. GlueGen
  uses a complete ANSI C parser and an internal representation (IR) capable of
