=== debian/rules ===
--- 
+++ 
@@ -5,15 +5,11 @@
 include /usr/share/cdbs/1/rules/patchsys-quilt.mk
 
 JAVA_HOME            := /usr/lib/jvm/default-java/
-DEB_JARS             := ant-launcher antlrall ant-antlr ant-contrib-cpptasks ant-junit
+DEB_JARS             := ant-launcher antlrall ant-antlr ant-contrib ant-contrib-cpptasks ant-junit
 DEB_ANT_CLEAN_TARGET := clean
 DEB_BUILDDIR         := make
-DEB_ANT_BUILD_TARGET := all junit.run
+DEB_ANT_BUILD_TARGET := all.no_junit
 DEB_ANT_ARGS += -Dtarget.sourcelevel=1.6 -Dtarget.targetlevel=1.6 -Dtarget.rt.jar=1.6
-
-ifeq ($(DEB_HOST_ARCH),arm64)
-  JAVACMD += -zero
-endif
 
 ifeq ($(DEB_HOST_ARCH),armhf)
 DEB_ANT_ARGS         += -DisAbiEabiGnuArmhf=true
@@ -55,6 +51,7 @@
 
 clean::
 	$(RM) -r gluegen/build
+	$(RM) make/GnuCTreeParserTokenTypes.txt make/STDCTokenTypes.txt
 
 get-orig-source::
-	-uscan --upstream-version 0
+	uscan --download-current-version --no-symlink --force-download
