=== debian/watch ===
version=3
http://jogamp.org/deployment/jogamp-current/archive/Sources/ gluegen-v(.*).tar.7z \
debian debian/orig-tar.sh
