## gluegen2 2.3.2

=== debian/changelog ===
gluegen2 (2.3.2-3) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * Fix support for architectures s390x, powerpc, ppc64el, and armhf
    (closes: #779482):
    - New patch s390x-support.diff: add support for s390x.
    - Simplify patch ppc64el-support.diff: the preferred pagesize is
      the runtime one, then no need to define the size_ppc_64_unix
      record where only the pagesize is different from size_lp64_unix.
    - d/rules: drop useless DEB_ANT_BUILD_TARGET override which
      disabled test cases build for armhf.

 -- Gilles Filippini <pini@debian.org>  Tue, 27 Oct 2015 11:34:36 +0100

gluegen2 (2.3.2-2) experimental; urgency=medium

  * Team upload.
  * Patch tests.diff: restore missing part mistakenly dropped in
    previous release.
  * Patch fix-arm64-build-config.diff: fix jre native libs path for
    arm64.
  * d/rules: simplify the test suite launch.

 -- Gilles Filippini <pini@debian.org>  Thu, 15 Oct 2015 10:03:21 +0200

gluegen2 (2.3.2-1) experimental; urgency=medium

  [ tony mancill ]
  * Make the build-dep on default-jdk versioned on >= 2:1.6.
    This prevents attempts to build on non-openjdk architectures.

  [ Gilles Filippini ]
  * Team upload.
  * New upstream release.
  * Refresh patches.
  * New patch disable-static-linking.diff.
  * Patch missing-arch-symbol.diff: don't check at all for specific
    glibc symbol version in glibc-compat-symbols.h (fix FTBFS on
    armel and arm64).

 -- Gilles Filippini <pini@debian.org>  Mon, 12 Oct 2015 10:59:34 +0200

gluegen2 (2.3.1-2) experimental; urgency=medium

  * Team upload.
  * WIP fixing ppc64el usability:
    - New patch: ppc64el-support.diff
    - Merge patch fix-ppc64-build-config.patch into ppc64el-support.diff
    - New patch fix-arm64-build-config.patch to gathers aarch64 snippets
      previously in fix-ppc64-build-config.patch.
  * Run the test suite at build time:
    - Patch tests.diff
    - debian/rules adapted accordingly
    - Failed tests don't make the build fail.

 -- Gilles Filippini <pini@debian.org>  Sun, 11 Oct 2015 00:28:38 +0200

gluegen2 (2.3.1-1) experimental; urgency=medium

  * Team upload.
  * New upstream release. (Closes: #791992, #746493, #791993)
  * Add build-dep on jsr305-java.
  * Update debian/copyright and debian/README.source to document jcpp.
  * Update debian/copyright to assign Expat license to debian/*.

 -- tony mancill <tmancill@debian.org>  Thu, 08 Oct 2015 19:49:11 -0700
