=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Sylvestre Ledru <sylvestre@debian.org>
-Build-Depends: debhelper (>= 9), cdbs, quilt, default-jdk,
+Build-Depends: debhelper (>= 9), cdbs, quilt, default-jdk (>= 2:1.6),
  ant, junit4, ant-contrib-cpptasks, ant-optional, libantlr-java,
- ant-contrib
+ ant-contrib, libjsr305-java
 Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/pkg-java/gluegen2.git
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-java/gluegen2.git
