=== debian/rules ===
--- 
+++ 
@@ -5,15 +5,14 @@
 include /usr/share/cdbs/1/rules/patchsys-quilt.mk
 
 JAVA_HOME            := /usr/lib/jvm/default-java/
-DEB_JARS             := ant-launcher antlrall ant-antlr ant-contrib ant-contrib-cpptasks ant-junit
+DEB_JARS             := ant-launcher antlrall ant-antlr ant-contrib ant-contrib-cpptasks ant-junit jsr305
 DEB_ANT_CLEAN_TARGET := clean
 DEB_BUILDDIR         := make
-DEB_ANT_BUILD_TARGET := all.no_junit
+DEB_ANT_BUILD_TARGET := all
 DEB_ANT_ARGS += -Dtarget.sourcelevel=1.6 -Dtarget.targetlevel=1.6 -Dtarget.rt.jar=1.6
 
 ifeq ($(DEB_HOST_ARCH),armhf)
 DEB_ANT_ARGS         += -DisAbiEabiGnuArmhf=true
-DEB_ANT_BUILD_TARGET := all.no_junit
 endif
 
 install/libgluegen2-rt-java::
@@ -42,16 +41,28 @@
 	rm debian/libgluegen2-build-java/usr/share/gluegen2/src/java/com/jogamp/gluegen/cgram/license.txt
 
 install/libgluegen2-jni::
-	install -m 644 -D build/obj/libgluegen-rt.so debian/libgluegen2-jni/usr/lib/jni/libgluegen2-rt.so
+	install -m 644 -D build/obj/libgluegen2-rt.so debian/libgluegen2-jni/usr/lib/jni/libgluegen2-rt.so
 
 install/libgluegen2-doc::
 	$(DEB_ANT_INVOKE) javadoc
 	mkdir -p debian/libgluegen2-doc/usr/share/doc/libgluegen2-java/
 	cp -Rf build/javadoc/gluegen/javadoc/* debian/libgluegen2-doc/usr/share/doc/libgluegen2-java/
 
+# Run the test suite
+common-post-build-arch::
+	ANT_PATH=/usr/share/ant make/scripts/runtest.sh $(CURDIR)/build
+
+DISABLED_TESTS := junit/util/VersionSemanticsUtil common/util/TestVersionSemantics
+post-patches::
+	cd src/junit/com/jogamp && \
+	  $(foreach test,$(DISABLED_TESTS),if [ -f $(test).java ]; then mv $(test).java $(test).java.disabled; fi &&) true
+
 clean::
-	$(RM) -r gluegen/build
+	$(RM) -r gluegen/build build-temp
 	$(RM) make/GnuCTreeParserTokenTypes.txt make/STDCTokenTypes.txt
+	cd src/junit/com/jogamp && \
+	  $(foreach test,$(DISABLED_TESTS),if [ -f $(test).java.disabled ]; then mv $(test).java.disabled $(test).java; fi &&) true
+	$(RM) test/TestJarsInJar/TestJarsInJar.jar runtest.log
 
 get-orig-source::
 	uscan --download-current-version --no-symlink --force-download
