## gluegen2 2.4.0+dfsg

=== debian/changelog ===
gluegen2 (2.4.0+dfsg-1) unstable; urgency=medium

  * Adding myself as uploader (Closes: #783519)
  * Aligning dependencies in d/control
  * Adding version mangling for the component in d/watch
  * Fixing the regex delimiter in d/rules
  * Forwarding patches

 -- Pierre Gruet <pgt@debian.org>  Sun, 18 Jun 2023 15:16:23 +0200

gluegen2 (2.4.0+dfsg-1~exp1) experimental; urgency=medium

  * Team upload.
  * Providing the right path for the Debian-installed cpptasks jar

 -- Pierre Gruet <pgt@debian.org>  Sun, 16 Apr 2023 22:05:09 +0200

gluegen2 (2.4.0+dfsg-1~exp0) experimental; urgency=medium

  * Team upload.
  * New upstream version 2.4.0+dfsg:
    - Repacking through the Files-Excluded mechanism and a MUT package
    - Excluding non-free contents in make/stub_includes/jni
  * Raising Standards version to 4.6.2
    - Setting Rules-Requires-Root: no
  * Working on debian/patches/:
    - Refreshing patches
    - Revising all patch headers
    - Cleaning old, long unused patches
  * Working on debian/control:
    - Revising the versioned dependencies and the Suggests:
    - Revising the short descriptions of the binary packages
    - Marking the -doc package as Multi-Arch: foreign
    - Marking the junit4 B-D with nocheck
  * Working on debian/rules:
    - Rewriting get-orig-pom rule as we now append +dfsg to upstream version
      numbers
    - Honouring DEB_BUILD_OPTIONS=nocheck
  * Refreshing debian/copyright
  * Raising debian/watch version to 4
  * Raising sourcelevel and targetlevel to 1.8 in debian/ant.properties
  * Removing now outdated debian/README.source file
  * Removing cc attributes that ant does not understand
  * Providing the path of the build .so file to the tests
  * Including the jni headers from the system instead of the non-free embedded
    ones
  * Changing the name of the .so to be installed in the -jni package
  * Adding missing shebangs in packaged scripts
  * Hardening by passing the LDFLAGS contents to the ant build file
  * Adding a Lintian override for shipped text files, seen as documentation
  * Manually updating the embedded pom file

 -- Pierre Gruet <pgt@debian.org>  Sun, 19 Mar 2023 08:20:16 +0100

gluegen2 (2.3.2-9) unstable; urgency=medium

  * Team upload.
  * Add text of CC-BY-SA-3.0 license to debian/copyright
  * Support building the package on riscv64 (Closes: #1014852)
    Thank you to Bo YU for the patch.

 -- tony mancill <tmancill@debian.org>  Wed, 13 Jul 2022 21:28:14 -0700

gluegen2 (2.3.2-8) unstable; urgency=medium

  * Team upload.
  * Use debhelper-compat.
    - Update compat level to 13.
  * Update Standards-Version to 4.5.1
  * Fix ftbfs with GCC-10. (Closes: #957276)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Mon, 30 Nov 2020 20:28:21 +0000

gluegen2 (2.3.2-7) unstable; urgency=medium

  * Team upload.
  * Fixed the build failure with Java 10 (Closes: #897485)
  * Standards-Version updated to 4.1.4
  * Switch to debhelper level 11
  * Use salsa.debian.org Vcs-* URLs

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 16 May 2018 16:36:30 +0200

gluegen2 (2.3.2-6) unstable; urgency=medium

  * Team upload.
  * Fixed the build failure with Java 9 (Closes: #874643)
  * Added mips64(el) and mipsn32(el) support. Thanks to YunQiang Su
    and Dejan Latinovic for the patch (Closes: #774832)
  * Build with the DH sequencer instead of CDBS
  * Changed the source/target level to 1.7
  * Standards-Version updated to 4.1.2
  * Switch to debhelper level 10

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 05 Dec 2017 14:54:43 +0100

gluegen2 (2.3.2-5) unstable; urgency=medium

  * Team upload.
  * Added the missing build dependency on maven-repo-helper

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 04 Aug 2016 13:05:20 +0200

gluegen2 (2.3.2-4) unstable; urgency=medium

  * Team upload.

  [ tony mancill ]
  * Add patch for kFreeBSD and Hurd (Closes: #808179).
    - Thanks to Steven Chamberlain for the patch.

  [ Emmanuel Bourg ]
  * Install the Maven artifacts for gluegen-rt (Closes: #712003)
  * Removed the build dependency on quilt
  * Standards-Version updated to 3.9.8
  * Use secure Vcs-* URLs

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 04 Aug 2016 12:09:28 +0200
