=== debian/control ===
--- 
+++ 
@@ -2,20 +2,31 @@
 Section: java
 Priority: optional
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
-Uploaders: Sylvestre Ledru <sylvestre@debian.org>
-Build-Depends: debhelper (>= 9), cdbs, quilt, default-jdk (>= 2:1.6),
- ant, junit4, ant-contrib-cpptasks, ant-optional, libantlr-java,
- ant-contrib, libjsr305-java
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/pkg-java/gluegen2.git
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-java/gluegen2.git
-Homepage: http://jogamp.org
+Uploaders: Sylvestre Ledru <sylvestre@debian.org>,
+           Pierre Gruet <pgt@debian.org>
+Build-Depends: ant,
+               ant-contrib,
+               ant-contrib-cpptasks,
+               ant-optional,
+               debhelper-compat (= 13),
+               default-jdk,
+               junit4 <!nocheck>,
+               libantlr-java,
+               libjsr305-java,
+               maven-repo-helper
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
+Vcs-Git: https://salsa.debian.org/java-team/gluegen2.git
+Vcs-Browser: https://salsa.debian.org/java-team/gluegen2
+Homepage: https://jogamp.org
 
 Package: libgluegen2-rt-java
 Architecture: all
 Suggests: libgluegen2-doc
-Depends: ${misc:Depends}, antlr, libgluegen2-jni (>= ${source:Version})
-Description: Tool to automatically generate the Java and JNI code
+Depends: antlr,
+         libgluegen2-jni (>= ${source:Version}),
+         ${misc:Depends}
+Description: tool to automatically generate Java and JNI code (runtime files)
  Gluegen reads as input ANSI C header files and separate configuration files
  which provide control over many aspects of the glue code generation. GlueGen
  uses a complete ANSI C parser and an internal representation (IR) capable of
@@ -30,8 +41,9 @@
 Package: libgluegen2-build-java
 Architecture: all
 Suggests: libgluegen2-doc
-Depends: ${misc:Depends}, antlr
-Description: Tool to automatically generate the Java and JNI code
+Depends: antlr,
+         ${misc:Depends}
+Description: tool to automatically generate Java and JNI code (Java sources)
  Gluegen reads as input ANSI C header files and separate configuration files
  which provide control over many aspects of the glue code generation. GlueGen
  uses a complete ANSI C parser and an internal representation (IR) capable of
@@ -44,11 +56,11 @@
  This package contains some Java sources necessary to build gluegen-based
  packages.
 
-
 Package: libgluegen2-jni
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Description: Tool to automatically generate the Java and JNI code
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
+Description: tool to automatically generate Java and JNI code (native library)
  Gluegen reads as input ANSI C header files and separate configuration files
  which provide control over many aspects of the glue code generation. GlueGen
  uses a complete ANSI C parser and an internal representation (IR) capable of
@@ -64,8 +76,10 @@
 Architecture: all
 Section: doc
 Depends: ${misc:Depends}
-Suggests: libgluegen2
-Description: Tool to automatically generate the Java and JNI code
+Suggests: libgluegen2-build-java,
+          libgluegen2-rt-java
+Multi-Arch: foreign
+Description: tool to automatically generate Java and JNI code (documentation)
  Gluegen reads as input ANSI C header files and separate configuration files
  which provide control over many aspects of the glue code generation. GlueGen
  uses a complete ANSI C parser and an internal representation (IR) capable of
