## gluegen2 2.5.0+dfsg

=== debian/changelog ===
gluegen2 (2.5.0+dfsg-1) unstable; urgency=medium

  * New upstream version 2.5.0+dfsg
  * Refreshing patches
  * Refreshing copyright years
  * Fixing the clean target (Closes: #1044545)
  * Excluding embedded jars in the jcpp component tarball
  * Build-depending on libguava-java for the build and the tests
  * Hardening by passing CFLAGS and CPPFLAGS
  * Ignoring @Nonnull annotation in the tests

 -- Pierre Gruet <pgt@debian.org>  Mon, 11 Sep 2023 20:43:32 +0200
