=== debian/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
                default-jdk,
                junit4 <!nocheck>,
                libantlr-java,
+               libguava-java,
                libjsr305-java,
                maven-repo-helper
 Standards-Version: 4.6.2
